Page MenuHomePhabricator

Create machine-readable version of the WikiProject Directory
Closed, ResolvedPublic

Description

See https://en.wikipedia.org/wiki/Wikipedia:WikiProject_Council/Directory

We should be able to look up WikiProjects in this directory.

Make a machine readable version.

Extra credit: figure out a sane way of keeping it up to date.

  • Parser code for generating WikiProjects tree
  • sanity tests to validate parser output
  • graceful handling of api calls in parser

Event Timeline

Halfak created this task.Aug 2 2017, 8:19 PM
JMinor added a comment.Aug 2 2017, 8:25 PM

Have you checked out the PageAssesements related APIs Comm Tech built?

api.php?action=query&list=projects&pjsubprojects=trueapi.php?action=query&list=projects&pjsubprojects=true

Not sure if its exactly what you're looking for, but we've been looking into using it for customization/feed/recommendation stuff in apps.

Halfak added a comment.Aug 2 2017, 8:28 PM

See the WikiProject Directory link in the task description. This will certainly make identifying which WikiProject had tagged a page easier, but in this case, we want to figure out what broader categories a WikiProject belongs to.

Sumit added a subscriber: Sumit.EditedAug 18 2017, 8:09 PM

might be useful if we sync the machine readable format from here, probably using a cron script - https://en.wikipedia.org/wiki/Wikipedia:WikiProject_Directory/All ( Updated by the reports bot )

Sumit claimed this task.Aug 26 2017, 6:02 AM
Sumit added a comment.Sep 5 2017, 3:14 PM
Halfak awarded a token.Sep 5 2017, 4:48 PM
Sumit updated the task description. (Show Details)
Sumit added a comment.Sep 6 2017, 8:05 PM

PR for tests - https://github.com/wiki-ai/drafttopic/pull/1

@Halfak I'd appreciate a cursory review of the overall structure of testing.

Sumit updated the task description. (Show Details)Sep 6 2017, 8:05 PM
Sumit updated the task description. (Show Details)Sep 25 2017, 2:51 PM
Sumit closed this task as Resolved.Oct 16 2017, 7:31 PM